import 'package:flutter/material.dart';
import 'package:login_screen/bottomnavigationbar/page1.dart';
import 'package:login_screen/bottomnavigationbar/page2.dart';
import 'package:login_screen/bottomnavigationbar/page3.dart';
import 'package:login_screen/bottomnavigationbar/page4.dart';

class NavBar1 extends StatefulWidget {
  const NavBar1({Key? key}) : super(key: key);

  @override
  State<NavBar1> createState() => _NavBar1State();
}

class _NavBar1State extends State<NavBar1> {
  int _selectedIndex = 0;
  List pages = [
    const Page1(),
    const Page2(),
    const Page3(),
    const Page4(),
  ];
List labes=[
  'Home',
  'Notification',
  'Cart',
  'Profile'
];
  List icon=[
    Icons.home,
    Icons.notifications,
    Icons.shopping_cart,
    Icons.person
  ];
  void onTapNav(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }

  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    return Scaffold(
      body: pages[_selectedIndex],
      bottomNavigationBar: Container(
        margin: EdgeInsets.symmetric(horizontal: 5,vertical: 20),
        width: screenSize.width,
        height: 60,
        decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.circular(10),
          boxShadow: [BoxShadow(
            color: Colors.grey,
            spreadRadius: 3,
            blurRadius: 3,
          )]
        ),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceAround, // Distribute items evenly
          children: List.generate(
            labes.length,
                (index) {
              return InkWell(
                onTap: (){
                  onTapNav(index);
                  },
                child: AnimatedContainer(
                  width: _selectedIndex==index?screenSize.width*.3:screenSize.width*.2,
                  color: _selectedIndex==index?Colors.blue:Colors.white,
                  duration: Duration(milliseconds: 200),
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Icon(icon[index],color: _selectedIndex==index?Colors.white:Colors.black),
                      SizedBox(height: 5), // Add spacing between icon and text
                      Text('${labes[index]}',style: TextStyle(
                        color: _selectedIndex==index?Colors.white:Colors.black,
                      ),),
                    ],
                  ),
                ),
              );
            },
          ),
        ),
      ),
    );
  }


}
